# MSRPProtocol::Message Class Reference

`#include <msrp.h>`

## Public Types

typedef std::vector< Chunk > | ChunkList

## Data Fields

ChunkList | m_chunks
PString | m_id
PURL | m_fromURL
PURL | m_toURL
PString | m_contentType
unsigned | m_length

## Data Structures

struct | Chunk

## Member Typedef Documentation

typedef std::vector<Chunk> MSRPProtocol::Message::ChunkList

## Field Documentation

ChunkList MSRPProtocol::Message::m_chunks

PString MSRPProtocol::Message::m_contentType

PURL MSRPProtocol::Message::m_fromURL

PString MSRPProtocol::Message::m_id

unsigned MSRPProtocol::Message::m_length

PURL MSRPProtocol::Message::m_toURL

The documentation for this class was generated from the following file:

- msrp.h